<?php
namespace MK\Test\Domain\Model;

/***
 *
 * This file is part of the "test" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2018
 *
 ***/

/**
 * Child
 */
class Child extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{
    /**
     * title
     *
     * @var string
     */
    protected $title = '';
    /**
     * rootObject
     *
     * @var \MK\Test\Domain\Model\RootObject
     */
    protected $rootObject = null;

    /**
     * Returns the title
     *
     * @return string $title
     */
    public function getTitle()
    {
        return $this->title;
    }

    /**
     * Sets the title
     *
     * @param string $title
     * @return void
     */
    public function setTitle($title)
    {
        $this->title = $title;
    }

    /**
     * @return RootObject
     */
    public function getRootObject()
    {
        return $this->rootObject;
    }

    /**
     * @param RootObject $rootObject
     */
    public function setRootObject(RootObject $rootObject)
    {
        $this->rootObject = $rootObject;
    }
}
